#ifndef FS_FUNCT_S_H
#define FS_FUNCT_S_H 1

extern char *user_screen_save, *debug_screen_save;
extern unsigned char screen_attr;
extern unsigned char screen_attr_normal;
extern unsigned char screen_attr_source;
extern unsigned char screen_attr_focus;
extern unsigned char screen_attr_ffocus;
extern unsigned char screen_attr_break;
extern unsigned char screen_attr_message;
extern unsigned char screen_attr_error;
extern unsigned char screen_attr_resize;
extern unsigned char screen_attr_asm;
extern unsigned char screen_attr_help;
extern unsigned char screen_attr_addr;
extern int cols, max_cols;
extern int rows, max_rows;
extern char *read_buffer;

inline unsigned int getykey(void);
inline void putl (int x, int y, int l, unsigned char *txt);
void frame (int x1, int y1, int x2, int y2);
void double_frame (int x1, int y1, int x2, int y2);
int read_string (char *starttext);
void put_screen (char *screen);
char * get_screen ();
int my_read_string(char *prompt);
void save_screen(int x1, int y1, int x2, int y2);

#endif
