#ifndef X_SUPPORT_H
#define X_SUPPORT_H 1

/* ------------------ Values to be used with open_win ------------------- */
#define single_border 1
#define double_border 2
/* -------------- Type definition to be used with text_win -------------- */
typedef char     *ONE_LINE;
typedef struct {
	ONE_LINE *page;
	int lines;
} WIN_TEXT;

/* --------------- Type definition to be used with menu () -------------- */
#define ITEM_TYPE 0
#define MENU_TYPE 1

typedef struct M_ITEM {
	char   *name;
	int    type; 
	struct M_ITEM *child;
} MENU_ITEM;

char *open_win(int width, int height, int attribute, int border,
	       int *x_start, int *y_start, int *actual_width);
void close_win(char *saved);
void init_text (WIN_TEXT *text);
void add_text (WIN_TEXT *text, char *line);
void free_text (WIN_TEXT *text);
void text_win (WIN_TEXT text, int user_width, int user_height);
int  display_bar_menu (MENU_ITEM menu_data[], int *pos);
int  display_pop_menu (MENU_ITEM menu_data[], int x_pos, int y_pos);
void menu (MENU_ITEM menu_data[], int *BarSelect, int *PopSelect);
void pop_menu (MENU_ITEM menu_data[], int x, int y, int *PopSelect);
void extern_data_support(word32 addr);

#endif
